org.apache.ode.bpel.o

## Class OSwitch

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OSwitch

- All Implemented Interfaces:
    java.io.Serializable

      public class OSwitch
      extends OActivity

  Compiled representation of a BPEL `<switch>`. The BPEL compiler generates instances of this class.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OSwitch.OCase`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSwitch(OProcess owner, OActivity parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCase(OSwitch.OCase acase)`
    `java.util.List<OSwitch.OCase>` | `getCases()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling, toString`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OSwitch

          public OSwitch(OProcess owner,
                         OActivity parent)

  - ### Method Detail

    - #### addCase

          public void addCase(OSwitch.OCase acase)

    - #### getCases

          public java.util.List<OSwitch.OCase> getCases()